javax.ws.rs

## Class Priorities

- java.lang.Object
- - javax.ws.rs.Priorities

-     public final class Priorities
      extends Object

  A collection of built-in priority constants for the JAX-RS components that are supposed to be ordered based on their `javax.annotation.Priority` class-level annotation value when used or applied by JAX-RS runtime.

  For example, JAX-RS filters and interceptors are grouped in chains for each of the message processing extension points: Pre, PreMatch, Post as well as ReadFrom and WriteTo. Each of these chains is sorted based on priorities which are represented as integer numbers. All chains, except Post, are sorted in ascending order; the lower the number the higher the priority. The Post filter chain is sorted in descending order to ensure that response filters are executed in reverse order.

  JAX-RS components that belong to the same priority class (same integer value) are executed in an implementation-defined manner. By default, when the `@Priority` annotation is absent on a component, for which a priority should be applied, the `USER` priority value is used.

  Since:
    2.0
  Author:
    Marek Potociar (marek.potociar at oracle.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTHENTICATION` Security authentication filter/interceptor priority.
    `static int` | `AUTHORIZATION` Security authorization filter/interceptor priority.
    `static int` | `ENTITY_CODER` Message encoder or decoder filter/interceptor priority.
    `static int` | `HEADER_DECORATOR` Header decorator filter/interceptor priority.
    `static int` | `USER` User-level filter/interceptor priority.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHENTICATION

          public static final int AUTHENTICATION

      Security authentication filter/interceptor priority.
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          public static final int AUTHORIZATION

      Security authorization filter/interceptor priority.
      See Also:
        Constant Field Values

    - #### HEADER_DECORATOR

          public static final int HEADER_DECORATOR

      Header decorator filter/interceptor priority.
      See Also:
        Constant Field Values

    - #### ENTITY_CODER

          public static final int ENTITY_CODER

      Message encoder or decoder filter/interceptor priority.
      See Also:
        Constant Field Values

    - #### USER

          public static final int USER

      User-level filter/interceptor priority.
      See Also:
        Constant Field Values

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.